.card__cta {
    @supports not (corner-shape: bevel) {
        position: relative;

        &::before {
            background-image:
                linear-gradient(
                    to top left,
                    var(--surface-color) calc(50% - 0.5rem / 16),
                    oklch(from var(--accent-color) calc(l + var(--_color-scheme-operation-sign) * 0.4) c h) calc(50% - 0.5rem / 16)
                );
            clip-path: polygon(100% calc(-1rem / 16), 100% 100%, calc(-1rem / 16) 100%);
            block-size: 1rem;
            content: '';
            inline-size: 1rem;
            inset-block-end: calc(-1.5rem / 16);
            inset-inline-end: calc(-1.5rem / 16);
            position: absolute;
            z-index: 1;
        }
    }
}